YouTube Transcripts API
curl --request POST \
--url https://api.socq.ai/v1/youtube/transcripts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"language": "<string>"
}
'import requests
url = "https://api.socq.ai/v1/youtube/transcripts"
payload = {
"urls": ["<string>"],
"language": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>'], language: '<string>'})
};
fetch('https://api.socq.ai/v1/youtube/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}YouTube 视频字幕
从公开 YouTube 视频中采集纯文本视频字幕。
POST
/
v1
/
youtube
/
transcripts
YouTube Transcripts API
为每个公共视频 URL 采集一份纯文本视频字幕。{
"urls": ["https://www.youtube.com/watch?v=VIDEO_ID"],
"language": "en"
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/youtube/transcripts |
| Compact MCP | socq_execute 与 endpoint: "youtube/transcripts" |
| Typed MCP | socq_youtube_transcripts |
| 精确工具 URL | https://api.socq.ai/mcp?tools=youtube_transcripts |
| CLI | socq youtube transcripts |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。language 是可选的 BCP-47 首选语言。如果不可用,则可能会返回另一种可用语言。始终使用结果的 language 字段作为实际的转录语言。
没有可用视频字幕的视频不会产生结果。
结果项
{
"id": "VIDEO_ID",
"platform": "youtube",
"resource": "transcripts",
"type": "transcript",
"url": "https://www.youtube.com/watch?v=VIDEO_ID",
"title": "Example video",
"text": "Plain-text transcript content...",
"language": "en",
"available_languages": ["en", "es"],
"format": "plaintext",
"transcript_source": "user_generated",
"collected_at": "2026-07-15T10:30:00",
"extra": {}
}
授权
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
⌘I

